Add css to distinguish when a main menu is present or not
2018-04-11 14:55 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

We have a theme with a styling dependent on knowing when a main menu is present. We previously used a body[class*="project-"]
selector to test when a project is shown, but as there is now a global main menu in some cases this doesn't work anymore.

We would suggest the following addition:
-—-— a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb
@@ -592,6 +592,7 @@ module ApplicationHelper

end

css << 'project-' + @project.identifier if @project && @project.identifier.present?
+ css << 'has-main-menu' if display_main_menu? (@project)

css << 'controller-' + controller_name

css << 'action-' + action_name

css << 'avatars-' + (Setting.gravatar_enabled? ? 'on' : 'off')

Associated revisions

Revision 17303 - 2018-04-23 07:16 - Go MAEDA
Add CSS to distinguish when a main menu is present or not (#28531).

Patch by Felix Schéfer.

History

#1 - 2018-04-11 15:51 - Go MAEDA

- Target version set to Candidate for next major release

Here is a test code for the feature.

index d52fef2d5..0b01£f5d7f 100644
—--— a/test/integration/lib/redmine/menu_manager_test.rb
+++ b/test/integration/lib/redmine/menu_manager_test.rb
@@ -77,4 +77,11 @Q class MenuManagerTest < Redmine::IntegrationTest
get '/login'
assert_select '#main-menu', O
end

.
+ def test_body_should_have_main_menu_css_class_if_main_menu_is_present
+ get '/projects'

+ assert_select 'body.has-main-menu'

+ get '/!'

+ assert_select 'body.has-main-menu', 0

+ end

end

#2 - 2018-04-11 16:37 - Felix Schifer
Thank you!

#3 - 2018-04-22 08:59 - Go MAEDA
- Category changed from Themes to Ul
- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#4 - 2018-04-23 07:17 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thanks.
